<%- include("partials/header") %>

    <div class="d-none houses-data">
      <% for (i = 0; i < pageData.houses.length; i++) { %>
        <div class="house" id="<%= pageData.houses[i].house_id %>">
          <div class="building-kind">
            <%= pageData.houses[i].building_kind %>
          </div>
          <div class="bedrooms">
            <%= pageData.houses[i].bedrooms %>
          </div>
          <div class="region">
            <%= pageData.houses[i].region %>
          </div>
          <div class="city">
            <%= pageData.houses[i].city %>
          </div>
          <div class="title">
            <%= pageData.houses[i].title %>
          </div>
          <div class="price">
            <%= pageData.houses[i].normal_price %>
          </div>
          <div class="rating">
            <%= pageData.houses[i].rating %>
          </div>
          <div class="liked">
            <%= pageData.houses[i].liked %>
          </div>
        </div>
      <% } %>
    </div>

    <div class="d-none filter-data">
      <div class="destination">
        <%= pageData.filters.destination %>
      </div>
      <div class="from-date">
        <%= pageData.filters.from %>
      </div>
      <div class="to-date">
        <%= pageData.filters.to %>
      </div>
      <div class="guests">
        <%= pageData.filters.guests %>
      </div>
    </div>

    <section class="search-header text-right p-4 d-flex justify-content-around border-bottom">
      <div class="dropdown">
        <button class="btn btn-light dropdown-toggle rounded-pill" type="button" id="destinationButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          مقصد
        </button>
        <div class="dropdown-menu dropdown-menu-right p-3 destination-dropdown" aria-labelledby="destinationButton">
          <form onsubmit="testSubmitFunction(event);">
            <div class="form-group">
              <select class="custom-select region-select" onchange="validCheck(event, 'address');">
                <option selected>استان</option>
                <% for (i = 0; i < pageData.regions.length; i++) { %>
                  <option value="<%= pageData.regions[i] %>"><%= pageData.regions[i] %></option>
                <% } %>
              </select>
            </div>
            <div class="form-group">
              <input type="text" class="form-control my-3" placeholder="شهر" name="city">
            </div>
            <button type="submit" class="btn btn-outline-primary btn-block btn-sm">اعمال</button>
          </form>
        </div>
      </div>
      <div class="dropdown">
        <button class="btn btn-light dropdown-toggle rounded-pill" type="button" id="dateButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          تاریخ سفر
        </button>
        <div class="dropdown-menu dropdown-menu-right p-3 date-dropdown" aria-labelledby="dateButton">
          <form onsubmit="testSubmitFunction(event);">
            <div class="row">
              <div class="form-group col-6">
                <div class="input-group-text cursor-pointer" id="filter-from-date-datepicker"></div>
                <input type="text" class="form-control my-3" id="filter-from-date" placeholder="تاریخ رفت" aria-label="filter-from-date-datepicker" aria-describedby="filter-from-date-datepicker" onchange="fromDateChanged(event)" disabled>
              </div>
              <div class="form-group col-6">
                <div class="input-group-text cursor-pointer" id="filter-to-date-datepicker"></div>
                <input type="text" class="form-control my-3" id="filter-to-date" placeholder="تاریخ برگشت"aria-label="filter-to-date-datepicker" aria-describedby="filter-to-date-datepicker" disabled>
              </div>
            </div>
            <button type="submit" class="btn btn-outline-primary btn-block btn-sm">اعمال</button>
          </form>
        </div>
      </div>
      <div class="dropdown">
        <button class="btn btn-light dropdown-toggle rounded-pill" type="button" id="guestsButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          تعداد نفرات
        </button>
        <div class="dropdown-menu dropdown-menu-right p-3 guests-number-dropdown" aria-labelledby="guestsButton">
          <form onsubmit="testSubmitFunction(event);">
            <div class="row m-0">
              <div class="col-5 p-0 text-right">
                <label class="mt-1">تعداد نفرات</label>
              </div>
              <div class="col-7 p-0 text-center">
                <div class="input-group" dir="ltr">
                  <div class="input-group-prepend mr-2">
                    <div class="input-group-text rounded-circle">
                      <i class="fas fa-minus"></i>
                    </div>
                  </div>
                  <input type="number" min="0" class="form-control text-center rounded-pill" value="0" dir="rtl" name="guests">
                  <div class="input-group-append ml-2">
                    <div class="input-group-text rounded-circle">
                      <i class="fas fa-plus"></i>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <button type="submit" class="btn btn-outline-primary btn-block mt-4 btn-sm">اعمال</button>
          </form>
        </div>
      </div>
      <div class="dropdown">
        <button class="btn btn-light dropdown-toggle rounded-pill" type="button" id="roomsBedsButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          تعداد تخت و اتاق
        </button>
        <div class="dropdown-menu dropdown-menu-right p-3 rooms-beds-number-dropdown" aria-labelledby="roomsBedsButton">
          <form onsubmit="testSubmitFunction(event);">
            <div class="row m-0">
              <div class="col-5 p-0 text-right my-2">
                <label class="mt-1">تعداد تخت</label>
              </div>
              <div class="col-7 p-0 text-center my-2">
                <div class="input-group" dir="ltr">
                  <div class="input-group-prepend mr-2">
                    <div class="input-group-text rounded-circle">
                      <i class="fas fa-minus"></i>
                    </div>
                  </div>
                  <input type="number" min="0" class="form-control text-center rounded-pill" value="0" dir="rtl" name="beds">
                  <div class="input-group-append ml-2">
                    <div class="input-group-text rounded-circle">
                      <i class="fas fa-plus"></i>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-5 p-0 text-right my-2">
                <label class="mt-1">تعداد اتاق</label>
              </div>
              <div class="col-7 p-0 text-center my-2">
                <div class="input-group" dir="ltr">
                  <div class="input-group-prepend mr-2">
                    <div class="input-group-text rounded-circle">
                      <i class="fas fa-minus"></i>
                    </div>
                  </div>
                  <input type="number" min="0" class="form-control text-center rounded-pill" value="0" dir="rtl" name="bedrooms">
                  <div class="input-group-append ml-2">
                    <div class="input-group-text rounded-circle">
                      <i class="fas fa-plus"></i>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <button type="submit" class="btn btn-outline-primary btn-block mt-4 btn-sm">اعمال</button>
          </form>
        </div>
      </div>
      <div class="dropdown">
        <button class="btn btn-light dropdown-toggle rounded-pill" type="button" id="priceButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          محدوده قیمت
        </button>
        <div class="dropdown-menu dropdown-menu-right p-3 price-range-dropdown" aria-labelledby="priceButton">
          <form onsubmit="testSubmitFunction(event);">
            <div class="row m-0">
              <div class="col-5 p-0 text-right form-group">
                <div class="input-group" dir="ltr">
                  <div class="input-group-prepend">
                    <div class="input-group-text">
                      تومان
                    </div>
                  </div>
                  <input type="number" min="0" class="form-control text-right" value="0" dir="rtl" name="min-price">
                </div>
              </div>
              <div class="col-2 text-center pt-2">
                تا
              </div>
              <div class="col-5 p-0 text-center">
                <div class="input-group" dir="ltr">
                  <div class="input-group-prepend">
                    <div class="input-group-text">
                      تومان
                    </div>
                  </div>
                  <input type="number" min="0" class="form-control text-right" value="0" dir="rtl" name="max-price">
                </div>
              </div>
            </div>
            <button type="submit" class="btn btn-outline-primary btn-block mt-4 btn-sm">اعمال</button>
          </form>
        </div>
      </div>
      <div class="dropdown">
        <button class="btn btn-light dropdown-toggle rounded-pill" type="button" id="houseKindButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          نوع اقامتگاه
        </button>
        <div class="dropdown-menu dropdown-menu-right p-3 house-kind-dropdown" aria-labelledby="houseKindButton">
          <form class="text-right" onsubmit="testSubmitFunction(event);">
            <div class="checkboxes mr-4">
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="houseVilla">
                <label class="custom-control-label" for="houseVilla">خانه‌ی ویلایی</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="houseApartment">
                <label class="custom-control-label" for="houseApartment">آپارتمان</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="houseSuit">
                <label class="custom-control-label" for="houseSuit">سوئیت</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="houseNature">
                <label class="custom-control-label" for="houseNature">بوم‌گردی</label>
              </div>
            </div>
            <button type="submit" class="btn btn-outline-primary btn-block mt-4 btn-sm">اعمال</button>
          </form>
        </div>
      </div>
      <div class="dropdown">
        <button class="btn btn-light dropdown-toggle rounded-pill" type="button" id="placeKindButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          نوع محل
        </button>
        <div class="dropdown-menu dropdown-menu-right p-3 place-kind-dropdown" aria-labelledby="placeKindButton">
          <form class="text-right" onsubmit="testSubmitFunction(event);">
            <div class="checkboxes mr-4">
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="placeJungle">
                <label class="custom-control-label" for="placeJungle">جنگلی</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="placeMountain">
                <label class="custom-control-label" for="placeMountain">کوهستانی</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="placeDesert">
                <label class="custom-control-label" for="placeDesert">کویری</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="placeBeach">
                <label class="custom-control-label" for="placeBeach">ساحلی</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="placeInCity">
                <label class="custom-control-label" for="placeInCity">درون شهری</label>
              </div>
            </div>
            <button type="submit" class="btn btn-outline-primary btn-block mt-4 btn-sm">اعمال</button>
          </form>
        </div>
      </div>
      <div class="dropdown">
        <button class="btn btn-light dropdown-toggle rounded-pill" type="button" id="rulesButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          قوانین
        </button>
        <div class="dropdown-menu dropdown-menu-right p-3 rules-dropdown" aria-labelledby="rulesButton">
          <form class="text-right" onsubmit="testSubmitFunction(event);">
            <div class="checkboxes mr-4">
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="bringPets">
                <label class="custom-control-label" for="bringPets">امکان ورود حیوانات خانگی</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="canParty">
                <label class="custom-control-label" for="canParty">امکان برگزاری مراسم</label>
              </div>
            </div>
            <button type="submit" class="btn btn-outline-primary btn-block mt-4 btn-sm">اعمال</button>
          </form>
        </div>
      </div>
      <div class="dropdown">
        <button class="btn btn-light dropdown-toggle rounded-pill" type="button" id="facilitiesButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          امکانات اقامتگاه
        </button>
        <div class="dropdown-menu dropdown-menu-right p-3 house-facilities-dropdown" aria-labelledby="facilitiesButton">
          <form class="text-right" onsubmit="testSubmitFunction(event);">
            <div class="checkboxes mr-4">
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="shower">
                <label class="custom-control-label" for="shower">حمام</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="heater">
                <label class="custom-control-label" for="heater">گرمایش</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="coolerWater">
                <label class="custom-control-label" for="coolerWater">کولر آبی</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="coolerGas">
                <label class="custom-control-label" for="coolerGas">کولر گازی</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="parking">
                <label class="custom-control-label" for="parking">پارکینگ</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="closedPool">
                <label class="custom-control-label" for="closedPool">استخر سرپوشیده</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="openPool">
                <label class="custom-control-label" for="openPool">استخر سرباز</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="foreignToilet">
                <label class="custom-control-label" for="foreignToilet">سرویس فرنگی</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="terrace">
                <label class="custom-control-label" for="terrace">تراس</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="elevator">
                <label class="custom-control-label" for="elevator">آسانسور</label>
              </div>
            </div>
            <button type="submit" class="btn btn-outline-primary btn-block mt-4 btn-sm">اعمال</button>
          </form>
        </div>
      </div>
      <div class="dropdown">
        <button class="btn btn-light dropdown-toggle rounded-pill" type="button" id="optionsButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          امکانات رفاهی
        </button>
        <div class="dropdown-menu dropdown-menu-right p-3 house-options-dropdown" aria-labelledby="optionsButton">
          <form class="text-right" onsubmit="testSubmitFunction(event);">
            <div class="checkboxes mr-4">
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="furniture">
                <label class="custom-control-label" for="furniture">مبلمان</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="cookingStuff">
                <label class="custom-control-label" for="cookingStuff">تجهیزات آشپزی</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="barbecue">
                <label class="custom-control-label" for="barbecue">باربیکیو</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="wirelessNet">
                <label class="custom-control-label" for="wirelessNet">اینترنت وایرلس</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="tv">
                <label class="custom-control-label" for="tv">تلویزیون</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="receiver">
                <label class="custom-control-label" for="receiver">گیرنده‌ی دیجیتال</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="breakfast">
                <label class="custom-control-label" for="breakfast">صبحانه</label>
              </div>
            </div>
            <button type="submit" class="btn btn-outline-primary btn-block mt-4 btn-sm">اعمال</button>
          </form>
        </div>
      </div>
    </section>

    <section class="search-results p-3 border-top">
      <div class="row m-0">
      </div>
    </section>

    <%- include("partials/footer") %>

    <script>
      $('#filter-from-date-datepicker').MdPersianDateTimePicker({
        targetTextSelector: '#filter-from-date',
        dateFormat: 'yyyy-MM-dd',
        isGregorian: false,
        disableBeforeToday: true,
        inLine: true
      });

      $('#filter-to-date-datepicker').MdPersianDateTimePicker({
        targetTextSelector: '#filter-to-date',
        dateFormat: 'yyyy-MM-dd',
        isGregorian: false,
        disableBeforeToday: true,
        inLine: true
      });

      function fromDateChanged (e) {
        console.log("HIIII");
        $("#filter-to-date-datepicker").MdPersianDateTimePicker("destroy");
        $('#filter-to-date-datepicker').MdPersianDateTimePicker({
          targetTextSelector: '#filter-to-date',
          dateFormat: 'yyyy-MM-dd',
          isGregorian: false,
          inLine: true,
          disableBeforeDate: new Date($("#filter-from-date-datepicker").MdPersianDateTimePicker("getDate"))
        });
        $("#filter-to-date").val("");
      }

      $(".dropdown").on("hide.bs.dropdown", function (e) {
        console.log("CLOSED!!!!!");
        console.log(e);
      })

      $(document).ready(function (e) {
        var housesData = $(".houses-data");
        var filters = {
          destination: $(".filter-data .destination").text(),
          from: $(".filter-data .from-date").text(),
          to: $(".filter-data .to-date").text(),
          guests: $(".filter-data .guests").text()
        };
        var destinationFilter = $("input[name='city']");
        var fromDateFilter = $("#filter-from-date-datepicker");
        var toDateFilter = $("#filter-to-date-datepicker");
        var guestsFilter = $("input[name='guests']");
        var houseObjTemp = {};
        var houses = [];
        var dateTemp;

        if (housesData.children().length > 0) {
          for (i = 0; i < housesData.children().length; i++) {
            houseObjTemp["building_kind"] = $(housesData.children()[i]).children(".building_kind");
            houseObjTemp["bedrooms"] = $(housesData.children()[i]).children(".bedrooms");
            houseObjTemp["region"] = $(housesData.children()[i]).children(".region");
            houseObjTemp["city"] = $(housesData.children()[i]).children(".city");
            houseObjTemp["title"] = $(housesData.children()[i]).children(".title");
            houseObjTemp["normal_price"] = $(housesData.children()[i]).children(".price");
            houseObjTemp["rating"] = $(housesData.children()[i]).children(".rating");
            houseObjTemp["liked"] = $(housesData.children()[i]).children(".liked");

            houses.push(houseObjTemp);

            houseObjTemp = {};
          }
        }

        if (filters.destination != "all") {
          destinationFilter.val(filters.destination);
        }

        if (filters.guests != "all") {
          destinationFilter.val(filters.guests);
        }

        if (filters.from != "all") {
          dateTemp = new Date(filters.from);

          if (dateTemp != "Invalid Date") {
            $('#filter-from-date-datepicker').MdPersianDateTimePicker("setDate", dateTemp);
          }

          dateTemp = "";
        }

        if (filters.to != "all") {
          dateTemp = new Date(filters.to);

          if (dateTemp != "Invalid Date") {
            $('#filter-to-date-datepicker').MdPersianDateTimePicker("setDate", dateTemp);
          }

          dateTemp = "";
        }

        renderResults(houses);
      })

      function filter () {
        console.log("SEARCH FILTER CALLED");
        //Get all filters' values
        var filterObj = {
          building_kind: [],
          place_kind: [],
          options: []
        };
        var buildingFilters = ["houseVilla", "houseApartment", "houseSuit", "houseNature"];
        var placeFilters = ["placeJungle", "placeMountain", "placeDesert", "placeBeach", "placeInCity"];
        var optionsFilters = ["shower", "heater", "coolerWater", "coolerGas", "parking", "closedPool", "openPool", "foreignToilet", "terrace", "elevator", "furniture", "cookingStuff", "barbecue", "wirelessNet", "tv", "receiver", "breakfast"];
        var filters = ["city", "guests", "beds", "bedrooms", "min-price", "max-price", "bringPets", "canParty"]
        var serverDict = {
          "guests": "maximum_space",
          "city": "city",
          "region": "region",
          "beds": "bed_num",
          "bedrooms": "bedrooms",
          "min-price": "price_min",
          "max-price": "price_max",
          "bringPets": "can_bring_pets",
          "canParty": "can_party",
          "houseVilla": "villa",
          "houseApartment": "apartment",
          "houseSuit": "studio",
          "houseNature": 'naturehouse',
          "placeJungle": "wild",
          "placeMountain": "mountainous",
          "placeDesert": "desert",
          "placeBeach": "beach",
          "placeInCity": "in_city",
          "shower": "shower",
          "heater": "heater",
          "coolerWater": "water_cooler",
          "coolerGas": "gas_cooler",
          "parking": "parking",
          "closedPool": "closed_pool",
          "openPool": "open_pool",
          "foreignToilet": "foreign_toilet",
          "terrace": "terrace",
          "elevator": "elevator",
          "furniture": "furniture",
          "cookingStuff": "cooking_stuff",
          "barbecue": "bbq",
          "wirelessNet": "wireless_net",
          "tv": "tv",
          "receiver": "receiver",
          "breakfast": "breakfast"
        }

        for (i = 0; i < buildingFilters.length; i++) {
          if ($("#" + buildingFilters[i]).prop("checked")) {
            filterObj.building_kind.push(serverDict[buildingFilters[i]]);
          }
        }

        for (i = 0; i < placeFilters.length; i++) {
          if ($("#" + placeFilters[i]).prop("checked")) {
            filterObj.place_kind.push(serverDict[placeFilters[i]]);
          }
        }

        for (i = 0; i < optionsFilters.length; i++) {
          if ($("#" + optionsFilters[i]).prop("checked")) {
            filterObj.options.push(serverDict[optionsFilters[i]]);
          }
        }

        for (i = 0; i < filters.length; i++) {
          if (filters[i] != "bringPets" && filters[i] != "canParty") {
            if ($("input[name='" + filters[i] + "']").val() != "" && $("input[name='" + filters[i] + "']").val() != undefined) {
              filterObj[serverDict[filters[i]]] = $("input[name='" + filters[i] + "']").val();
            }
          } else {
            if ($("#" + filters[i]).prop("checked")) {
              filterObj[serverDict[filters[i]]] = $("#" + filters[i]).prop("checked");
            }
          }
        }

        if ($("#filter-from-date-datepicker").MdPersianDateTimePicker("getDate") != undefined) {
          filterObj["from_date"] = $("#filter-from-date-datepicker").MdPersianDateTimePicker("getDate").toString();
        }

        if ($("#filter-to-date-datepicker").MdPersianDateTimePicker("getDate") != undefined) {
          filterObj["to_date"] = $("#filter-to-date-datepicker").MdPersianDateTimePicker("getDate").toString();
        }

        $.ajax({
          method: "POST",
          url: "/search",
          dataType: "json",
          data: filterObj,

          success: function (data) {
            console.log("SEARCH POST REQUEST SUCCESSFUL");
            console.log(data);

            renderResults(data.houses);
          },

          error: function (err) {
            console.log("SEARCH POST REQUEST ERROR");
            console.log(err);
          }
        })
      }

      function renderResults (houseList) {
        console.log("RENDER RESULTS CALLED");
        var resultsContainer = $(".search-results .row");
        var resultTemp = ``;
        var noResultMessage = `<h5 class="text-center mx-auto">نتیجه‌ای با فیلتر‌های مورد نظر یافت نشد.</h5>`;

        resultsContainer.empty()

        if (houseList.length == 0) {
          resultsContainer.append(noResultMessage);
        } else {
          for (i = 0; i < houseList.length; i++) {
            resultTemp = `<div class="card ml-auto my-2 w-25 p-2 p-3 col-3 custom-border" onclick="openHouse(event, ${houseList.house_id});"><img src="${houseList[i].pics[0]}" class="card-img-top" alt="..."><div class="card-body text-right pt-2"><p class="mb-2 text-muted small">${houseList[i].building_kind} - ${houseList[i].bedrooms} خوابه - ${houseList[i].region}, ${houseList[i].city}</p><h5 class="mb-2">${houseList[i].title}</h5><p class="mb-2">قیمت (روزانه): ${houseList[i].normal_price} ریال</p><p class="mb-2">امتیاز:<span rating="${houseList[i].rating}"><i class="fas fa-star"></i><i class="fas fa-star"></i><i class="fas fa-star"></i><i class="fas fa-star"></i><i class="fas fa-star"></i></span></p><div class="house-card-icons text-center"><a href="#">`;

              if (houseList[i].liked == true) {
                resultTemp = resultTemp + `<i class="fas fa-heart mx-2 liked"></i></a><a href="#"><i class="fas fa-share-alt mx-2"></i></a></div></div></div>`;
              } else {
                resultTemp = resultTemp + `<i class="fas fa-heart mx-2 notLiked"></i></a><a href="#"><i class="fas fa-share-alt mx-2"></i></a></div></div></div>`;
              }

            resultsContainer.append(resultTemp);

            resultTemp = ``;
          }
        }
      }

      function openHouse (e, houseId) {
        window.location.href = "/house/" + houseId;
      }

      function testSubmitFunction (e) {
        e.preventDefault();
      }
    </script>

  </body>
</html>
